MsWksDBParserInternal::Forms Class Reference

a class used to store a list of forms More...

## Public Member Functions

| Forms ()
| the constructor

## Public Attributes

int | m_numForms
| the number of forms
MWAWFont | m_font
| the default font
int | m_backColor
| the default font back color
MWAWBox2f | m_bdbox [2]
| two bdbox
std::vector< Form > | m_listForms
| the list of forms
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Forms const &form)
| operator<<

## Detailed Description

a class used to store a list of forms

## Constructor & Destructor Documentation

## Forms()

MsWksDBParserInternal::Forms::Forms | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Forms const & | form )

friend

operator<<

## Member Data Documentation

## m_backColor

int MsWksDBParserInternal::Forms::m_backColor

the default font back color

Referenced by Forms(), and operator<<.

## m_bdbox

MWAWBox2f MsWksDBParserInternal::Forms::m_bdbox[2]

two bdbox

Referenced by operator<<.

## m_extra

std::string MsWksDBParserInternal::Forms::m_extra

extra data

Referenced by Forms(), and operator<<.

## m_font

MWAWFont MsWksDBParserInternal::Forms::m_font

the default font

Referenced by Forms().

## m_listForms

std::vector<Form> MsWksDBParserInternal::Forms::m_listForms

the list of forms

Referenced by Forms().

## m_numForms

int MsWksDBParserInternal::Forms::m_numForms

the number of forms

Referenced by Forms(), and operator<<.

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx